proxies:
  - name: vless-reality-a.guoguoguo.icu
    type: vless
    server: a.guoguoguo.icu
    port: 30025
    uuid: 91beba5c-1726-4ada-bc76-3537b24b444e
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: apple.com
    reality-opts:
      public-key: XzPqyTisJgX6z9ee1FoIuBQD6nuf496Rq9z5jrp5SDg
      short-id: c93851de
    client-fingerprint: chrome

  - name: vmess-ws-b.guoguoguo.icu
    type: vmess
    server: b.guoguoguo.icu
    port: 8080
    uuid: 91beba5c-1726-4ada-bc76-3537b24b444e
    alterId: 0
    cipher: auto
    udp: true
    tls: false
    network: ws
    ws-opts:
      path: /91beba5c-1726-4ada-bc76-3537b24b444e-vm
      headers:
        Host: www.bing.com

  - name: hysteria2-c.guoguoguo.icu
    type: hysteria2
    server: c.guoguoguo.icu
    port: 45262
    password: 91beba5c-1726-4ada-bc76-3537b24b444e
    alpn:
      - h3
    sni: www.bing.com
    skip-cert-verify: true

  - name: tuic-d.guoguoguo.icu
    type: tuic
    server: d.guoguoguo.icu
    port: 20735
    uuid: 91beba5c-1726-4ada-bc76-3537b24b444e
    password: 91beba5c-1726-4ada-bc76-3537b24b444e
    alpn:
      - h3
    udp-relay-mode: native
    congestion-controller: bbr
    sni: www.bing.com
    skip-cert-verify: true

proxy-groups:
  - name: 节点选择
    type: select
    proxies:
      - vless-reality-a.guoguoguo.icu
      - vmess-ws-b.guoguoguo.icu
      - hysteria2-c.guoguoguo.icu
      - tuic-d.guoguoguo.icu
      - DIRECT

rules:
  - MATCH,节点选择
